import Ember from 'ember';
import config from 'php-api-ember-test/config/environment';

export default Ember.Controller.extend({
    actions: {
        reload() {
            console.log('click on reload button');
            this.send('doReload');
        },

        submitAction() {
            console.log('submit action for process bulk');
            var action = $('#action').val();
            switch (action) {
                case 'delete':
                    this.deleteItems();
                    break;
            }
        }
    },

    alertStatus: '',

    alertMessage: '',

    config: config.APP,

    deleteItems() {
        console.log('delete items action');
        var formData = $('#process-bulk-form').serialize();
        var thisobj = this;

        $.ajax({
            url: config.APP.phpApiUrl+'/deleteItems',
            type: 'DELETE',
            data: formData,
            dataType: 'json',
            success: function(response) {
                console.log(response);
                if (typeof(response) !== 'undefined' && typeof(response.form_result) !== 'undefined' && typeof(response.form_result_text) !== 'undefined') {
                    thisobj.set('isAlert', true);
                    thisobj.set('alertMessage', response.form_result_text);
                    thisobj.set('alertStatus', response.form_result);
                }

                if (typeof(response) !== 'undefined') {
                    if (typeof(response.result) !== 'undefined' && response.result === true) {
                        // reset select box
                        $('#action').val('');
                        // reload data
                        thisobj.send('doReload');
                    }
                }
            },
            error: function(jqXHR) {
                var response = jqXHR.responseJSON;
                console.log(response);
                if (typeof(response) !== 'undefined' && typeof(response.form_result) !== 'undefined' && typeof(response.form_result_text) !== 'undefined') {
                    thisobj.set('isAlert', true);
                    thisobj.set('alertMessage', response.form_result_text);
                    thisobj.set('alertStatus', response.form_result);
                }
            }
        });
    },

    isAlert: false,
});
