<?php


namespace Modules\Core\Controllers;

use \Psr\Http\Message\ServerRequestInterface;
use \Psr\Http\Message\ResponseInterface;
use \Interop\Container\ContainerInterface;

/**
 * The base controller for frontend that all controllers should extends this.
 *
 * @author Vee W.
 */
abstract class BaseController
{


    /**
     *
     * @var \Interop\Container\ContainerInterface
     */
    protected $ci;

    /**
     * @var \System\Libraries\Db\Db DB class object.
     */
    public $Db;


    public function __construct(ContainerInterface $ci)
    {
        $this->ci = $ci;

        if (isset($this->ci->Db)) {
            $this->Db = $this->ci->Db;
        }
    }// __construct


    protected function response(ServerRequestInterface $request, ResponseInterface $response, array $output)
    {
        if (isset($output) && is_array($output)) {
            $response = $response->withJson($output);
            unset($output);
        }

        return $response;
    }// response


}
